Index: src/mlx/gui/gui.py
===================================================================
--- src/mlx/gui/gui.py	(revision 994)
+++ src/mlx/gui/gui.py	(revision 995)
@@ -63,5 +63,5 @@
     def __init__(self, programDirectory, config):
         """Construct the GUI."""
-        gobject.threads_init()
+        GObject.threads_init()
 
         self._programDirectory = programDirectory
@@ -360,5 +360,5 @@
     def takeoffAntiIceOn(self, value):
         """Set the anti-ice on indicator."""
-        gobject.idle_add(self._setTakeoffAntiIceOn, value)
+        GObject.idle_add(self._setTakeoffAntiIceOn, value)
 
     @property
@@ -400,5 +400,5 @@
     def landingAntiIceOn(self, value):
         """Set the anti-ice on indicator."""
-        gobject.idle_add(self._setLandingAntiIceOn, value)
+        GObject.idle_add(self._setLandingAntiIceOn, value)
 
     @property
@@ -470,5 +470,5 @@
     def updateDone(self):
         """Called when the update is done (and there is no need to restart)."""
-        gobject.idle_add(self._updateDone)
+        GObject.idle_add(self._updateDone)
 
     def connected(self, fsType, descriptor):
@@ -479,5 +479,5 @@
         fs.sendMessage(const.MESSAGETYPE_INFORMATION,
                        "Welcome to MAVA Logger X " + const.VERSION)
-        gobject.idle_add(self._handleConnected, fsType, descriptor)
+        GObject.idle_add(self._handleConnected, fsType, descriptor)
 
     def _handleConnected(self, fsType, descriptor):
@@ -494,5 +494,5 @@
         """Called when the connection failed."""
         self._logger.untimedMessage("Connection to the simulator failed")
-        gobject.idle_add(self._connectionFailed)
+        GObject.idle_add(self._connectionFailed)
 
     def _connectionFailed(self):
@@ -527,5 +527,5 @@
             self._flight.disconnected()
 
-        gobject.idle_add(self._disconnected)
+        GObject.idle_add(self._disconnected)
 
     def _disconnected(self):
@@ -572,5 +572,5 @@
     def _bookFlightsCallback(self, returned, result):
         """Called when the booking of flights has finished."""
-        gobject.idle_add(self._handleBookFlightsResult, returned, result)
+        GObject.idle_add(self._handleBookFlightsResult, returned, result)
 
     def _handleBookFlightsResult(self, returned, result):
@@ -653,5 +653,5 @@
     def insertFlightLogLine(self, index, timestampString, text, isFault):
         """Insert the flight log line with the given data."""
-        gobject.idle_add(self._insertFlightLogLine, index,
+        GObject.idle_add(self._insertFlightLogLine, index,
                          formatFlightLogLine(timestampString, text),
                          isFault)
@@ -668,19 +668,19 @@
     def removeFlightLogLine(self, index):
         """Remove the flight log line with the given index."""
-        gobject.idle_add(self._removeFlightLogLine, index)
+        GObject.idle_add(self._removeFlightLogLine, index)
 
     def addFault(self, id, timestampString, text):
         """Add a fault to the list of faults."""
         faultText = formatFlightLogLine(timestampString, text).strip()
-        gobject.idle_add(self._flightInfo.addFault, id, faultText)
+        GObject.idle_add(self._flightInfo.addFault, id, faultText)
 
     def updateFault(self, id, timestampString, text):
         """Update a fault in the list of faults."""
         faultText = formatFlightLogLine(timestampString, text).strip()
-        gobject.idle_add(self._flightInfo.updateFault, id, faultText)
+        GObject.idle_add(self._flightInfo.updateFault, id, faultText)
 
     def clearFault(self, id):
         """Clear a fault in the list of faults."""
-        gobject.idle_add(self._flightInfo.clearFault, id)
+        GObject.idle_add(self._flightInfo.clearFault, id)
 
     def _removeFlightLogLine(self, index):
@@ -694,6 +694,6 @@
     def check(self, flight, aircraft, logger, oldState, state):
         """Update the data."""
-        gobject.idle_add(self._monitorWindow.setData, state)
-        gobject.idle_add(self._statusbar.updateTime, state.timestamp)
+        GObject.idle_add(self._monitorWindow.setData, state)
+        GObject.idle_add(self._statusbar.updateTime, state.timestamp)
 
     def resetFlightStatus(self):
@@ -705,5 +705,5 @@
     def setStage(self, stage):
         """Set the stage of the flight."""
-        gobject.idle_add(self._setStage, stage)
+        GObject.idle_add(self._setStage, stage)
 
     def _setStage(self, stage):
@@ -721,5 +721,5 @@
     def setRating(self, rating):
         """Set the rating of the flight."""
-        gobject.idle_add(self._setRating, rating)
+        GObject.idle_add(self._setRating, rating)
 
     def _setRating(self, rating):
@@ -730,5 +730,5 @@
     def setNoGo(self, reason):
         """Set the rating of the flight to No-Go with the given reason."""
-        gobject.idle_add(self._setNoGo, reason)
+        GObject.idle_add(self._setNoGo, reason)
 
     def _setNoGo(self, reason):
@@ -760,5 +760,5 @@
     def raiseCallback(self):
         """Callback for the singleton handling code."""
-        gobject.idle_add(self.raiseMainWindow)
+        GObject.idle_add(self.raiseMainWindow)
 
     def raiseMainWindow(self):
@@ -848,5 +848,5 @@
             self._stdioText += text
 
-        gobject.idle_add(self._writeStdIO)
+        GObject.idle_add(self._writeStdIO)
 
     def beginBusy(self, message):
@@ -875,5 +875,5 @@
     def getFleetAsync(self, callback = None, force = None):
         """Get the fleet asynchronously."""
-        gobject.idle_add(self.getFleet, callback, force)
+        GObject.idle_add(self.getFleet, callback, force)
 
     def getFleet(self, callback = None, force = False, busyCallback = None):
@@ -910,5 +910,5 @@
             self._wizard.updateRTO()
         else:
-            gobject.idle_add(self.updateRTO, True)
+            GObject.idle_add(self.updateRTO, True)
 
     def rtoToggled(self, indicated):
@@ -918,5 +918,5 @@
     def _fleetResultCallback(self, returned, result):
         """Called when the fleet has been queried."""
-        gobject.idle_add(self._handleFleetResult, returned, result)
+        GObject.idle_add(self._handleFleetResult, returned, result)
 
     def _handleFleetResult(self, returned, result):
@@ -961,5 +961,5 @@
     def _updatePlaneResultCallback(self, returned, result):
         """Called when the status of a plane has been updated."""
-        gobject.idle_add(self._handleUpdatePlaneResult, returned, result)
+        GObject.idle_add(self._handleUpdatePlaneResult, returned, result)
 
     def _handleUpdatePlaneResult(self, returned, result):
@@ -1274,5 +1274,5 @@
         """Called when the current page of the notebook has changed."""
         if page_num==0:
-            gobject.idle_add(self._wizard.grabDefault)
+            GObject.idle_add(self._wizard.grabDefault)
         else:
             self._mainWindow.set_default(None)
@@ -1310,5 +1310,5 @@
     def _timetableCallback(self, returned, result):
         """Called when the timetable has been received."""
-        gobject.idle_add(self._handleTimetable, returned, result)
+        GObject.idle_add(self._handleTimetable, returned, result)
 
     def _handleTimetable(self, returned, result):
@@ -1342,5 +1342,5 @@
     def _acceptedFlightsCallback(self, returned, result):
         """Called when the accepted flights have been received."""
-        gobject.idle_add(self._handleAcceptedFlights, returned, result)
+        GObject.idle_add(self._handleAcceptedFlights, returned, result)
 
     def _handleAcceptedFlights(self, returned, result):
@@ -1428,5 +1428,5 @@
     def _pirepUpdatedCallback(self, returned, result):
         """Callback for the PIREP updating result."""
-        gobject.idle_add(self._handlePIREPUpdated, returned, result)
+        GObject.idle_add(self._handlePIREPUpdated, returned, result)
 
     def _handlePIREPUpdated(self, returned, result):
@@ -1650,5 +1650,5 @@
     def _pirepSentCallback(self, returned, result):
         """Callback for the PIREP sending result."""
-        gobject.idle_add(self._handlePIREPSent, returned, result)
+        GObject.idle_add(self._handlePIREPSent, returned, result)
 
     def _handlePIREPSent(self, returned, result):
@@ -1717,5 +1717,5 @@
     def _bugReportSentCallback(self, returned, result):
         """Callback function for the bug report sending result."""
-        gobject.idle_add(self._handleBugReportSent, returned, result)
+        GObject.idle_add(self._handleBugReportSent, returned, result)
 
     def _handleBugReportSent(self, returned, result):
@@ -1859,5 +1859,5 @@
             self._credentialsAvailable = False
 
-            gobject.idle_add(self._getCredentials)
+            GObject.idle_add(self._getCredentials)
 
             while not self._credentialsAvailable:
